[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0

[Command]
Name = "SUPER"
Command = ~55$B, $F, $B, $F, a
[Command]
Name = "SUPER"
Command = ~55$B, $F, $B, $F, b
[Command]
Name = "SUPER"
Command = ~55$B, $F, $B, $F, c
[Command]
Name = "SUPER2"
Command = ~55$B, $F, $B, $F, x
[Command]
Name = "SUPER2"
Command = ~55$B, $F, $B, $F, y
[Command]
Name = "SUPER2"
Command = ~55$B, $F, $B, $F, z
[Command]
Name = "WAZA1_LIGHT"
Command = ~55$D, $U, a
[Command]
Name = "WAZA1_MIDDLE"
Command = ~55$D, $U, b
[Command]
Name = "WAZA1_HARD"
Command = ~55$D, $U, c
[Command]
Name = "WAZA2_LIGHT"
Command = ~55$B, $F, x
[Command]
Name = "WAZA2_MIDDLE"
Command = ~55$B, $F, y
[Command]
Name = "WAZA2_HARD"
Command = ~55$B, $F, z
[Command]
Name = "WAZA3_LIGHT"
Command = ~55$B, $F, a
[Command]
Name = "WAZA3_MIDDLE"
Command = ~55$B, $F, b
[Command]
Name = "WAZA3_HARD"
Command = ~55$B, $F, c

[Command]
Name = "WAZA1_LIGHT2"
Command = ~30$D, $U, a
[Command]
Name = "WAZA1_MIDDLE2"
Command = ~30$D, $U, b
[Command]
Name = "WAZA1_HARD2"
Command = ~30$D, $U, c
[Command]
Name = "WAZA2_LIGHT2"
Command = ~30$B, $F, x
[Command]
Name = "WAZA2_MIDDLE2"
Command = ~30$B, $F, y
[Command]
Name = "WAZA2_HARD2"
Command = ~30$B, $F, z
[Command]
Name = "WAZA3_LIGHT2"
Command = ~30$B, $F, a
[Command]
Name = "WAZA3_MIDDLE2"
Command = ~30$B, $F, b
[Command]
Name = "WAZA3_HARD2"
Command = ~30$B, $F, c
[Command]
Name = "FF"
Command = F, F
[Command]
Name = "BB"
Command = B, B
[Command]
Name = "a"
Command = a
Time = 1
[Command]
Name = "b"
Command = b
Time = 1
[Command]
Name = "c"
Command = c
Time = 1
[Command]
Name = "x"
Command = x
Time = 1
[Command]
Name = "y"
Command = y
Time = 1
[Command]
Name = "z"
Command = z
Time = 1
[Command]
Name = "start"
Command = s
Time = 1
[Command]
Name = "fwd"
Command = F
Time = 1
[Command]
Name = "back"
Command = B
Time = 1
[Command]
Name = "up" 
Command = U
Time = 1
[Command]
Name = "down"
Command = D
Time = 1
[Command]
Name = "holda"
Command = /$a
Time = 1
[Command]
Name = "holdb"
Command = /$b
Time = 1
[Command]
Name = "holdc"
Command = /$c
Time = 1
[Command]
Name = "holdfwd"
Command = /$F
Time = 1
[Command]
Name = "holdback"
Command = /$B
Time = 1
[Command]
Name = "holdup" 
Command = /$U
Time = 1
[Command]
Name = "holddown"
Command = /$D
Time = 1
[Command]
Name = "recovery"
Command = a+b+c+x+y+z+s
Time = 0
[StateDef -1]
[State -1]
Type = ChangeState
Value = 2000
Triggerall = Command = "SUPER2"
Triggerall = Power >= 1000
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = Stateno = 200 && Movehit
Trigger3 = Stateno = 210 && Movehit
Trigger4 = Stateno = 300 && Movehit
Trigger5 = Stateno = 310 && Movehit
[State -1]
Type = ChangeState
Value = 2100
Triggerall = Command = "SUPER"
Triggerall = Power >= 1000
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = Stateno = 200 && Movehit
Trigger3 = Stateno = 210 && Movehit
Trigger4 = Stateno = 300 && Movehit
Trigger5 = Stateno = 310 && Movehit
[State -1]
Type = ChangeState
Trigger1 = Command="WAZA3_LIGHT"||Command="WAZA3_MIDDLE"||Command="WAZA3_HARD"||((Command="WAZA3_LIGHT2"||Command="WAZA3_MIDDLE2"||Command="WAZA3_HARD2")&&Var(12)=-2)
Trigger1 = (StateType!=A||Var(13))&&(Ctrl||(Time<2&&StateNo=[200,399])||Var(6)>0||(Var(12)=-2&&MoveType=H&&HitShakeOver&&Pos Y<=0))&&RoundState=2
Value = IFelse(Command="WAZA3_HARD"||Command="WAZA3_HARD2", 1202, IFelse(Command="WAZA3_MIDDLE"||Command="WAZA3_MIDDLE2", 1201, 1200))

[State -1]
Type = ChangeState
Trigger1 = Command="WAZA2_LIGHT"||Command="WAZA2_MIDDLE"||Command="WAZA2_HARD"||((Command="WAZA2_LIGHT2"||Command="WAZA2_MIDDLE2"||Command="WAZA2_HARD2")&&Var(12)=-2)
Trigger1 = (StateType!=A||Var(13)) && (Ctrl||(Time<2&&StateNo=[200,399])||Var(6)>0||(Var(12)=-2&&MoveType=H&&HitShakeOver&&Pos Y<=0)) && RoundState = 2
Value = IFelse(Command="WAZA2_HARD"||Command="WAZA2_HARD2", 1102, IFelse(Command="WAZA2_MIDDLE"||Command="WAZA2_MIDDLE2", 1101, 1100))

[State -1]
Type = ChangeState
Trigger1=Command="WAZA1_LIGHT"||Command="WAZA1_MIDDLE"||Command="WAZA1_HARD"||((Command="WAZA1_LIGHT2"||Command="WAZA1_MIDDLE2"||Command="WAZA1_HARD2")&&Var(12)=-2)
Trigger1 = (StateType!=A||Var(13))&&(Ctrl||StateNo=40||(Time<2&&StateNo=[200,399])||Var(6)>0||(Var(12)=-2&&MoveType=H&&HitShakeOver&&Pos Y<=0))&&RoundState=2
Value = 1000
[State -1]
Type = ChangeState
Trigger1 = StateNo = 20 && (Command="y"||Command="z") && P2BodyDist X < (60*Const(Size.XScale)) && Var(30) != 1 && RoundState = 2
Value = IFelse(Command="y", 504, 500)
[State -1]
Type = ChangeState
Trigger1 = (Command="x"||Command="y"||Command="z"||Command="a"||Command="b"||Command="c") && StateType = S && (Ctrl||(Var(12)=-2&&MoveType=H&&HitShakeOver)) && Var(30) != 1 && RoundState = 2
Value = IFelse(Command="x",200,IFelse(Command="y", 210,IFelse(Command="z",220,IFelse(Command="a",230,IFelse(Command="b",240,250)))))
[State -1]
Type = ChangeState
Trigger1 = (Command="x"||Command="y"||Command="z"||Command="a"||Command="b"||Command="c") && StateType = C && (Ctrl||(Var(12)=-2&&MoveType=H&&HitShakeOver)) && Var(30) != 1 && RoundState = 2
Value = IFelse(Command="x", 300, IFelse(Command="y", 310, IFelse(Command="z", 320, IFelse(Command="a", 330, IFelse(Command="b", 340, 350)))))
[State -1]
Type = ChangeState
Trigger1 = (Command="x"||Command="y"||Command="z"||Command="a"||Command="b"||Command="c") && StateType = A && (Ctrl||(Var(12)=-2&&MoveType=H&&HitShakeOver&&Pos Y<=0)) && Var(30) != 1 && RoundState = 2
Value = IFelse(Command="x",400,IFelse(Command="y",410,IFelse(Command="z",420,IFelse(Command="a",430,IFelse(Command="b",440,450)))))
[State -1]
Type = ChangeState
Trigger1 = (Command="x"&&((StateNo=200||StateNo=300)&&AnimElem=3,>0)) && RoundState = 2
Value = IFelse(Command="holddown", 300, 200)

[State -2,V50]
type = VarSet
trigger1 = roundstate=2
var(50) = -(Facing)*(EnemyNear(var(53)),Facing)
ignorehitpause = 1

[State -3,FV39]
Type = VarSet
Trigger1 = roundstate=2
fvar(39) = IfElse(P2StateType=C,(EnemyNear(var(53)),Const(movement.crouch.friction)),(EnemyNear(var(53)),Const(movement.stand.friction)))
IgnoreHitPause = 1

[State -1]
Type = null;ChangeState
Trigger1 = 0
[State -1]
Type = null
Trigger1 = 0


[State -1, Walk 20]
type = ChangeState
value = 20
triggerall = var(59)>2
triggerall = p2dist X>0
triggerall = RoundState = 2 && statetype != A && ctrl && stateno != 52&& stateno != 20
triggerall = !(p2statetype=A||p2statetype=L)
trigger1 = stateno=[140,159]
trigger1 = P2BodyDist X <=(36*Const(Size.XScale))
trigger1 = random < ifelse(var(59)=3,5,ifelse(var(59)=4,20,40))
ctrl = 1

[State -1, 500]
Type = ChangeState
Triggerall = var(59)>2
Triggerall =!(p2statetype=A||p2statetype=L)&&(stateno=0||stateno=20)&&(P2BodyDist X <=(36*Const(Size.XScale)))&&RoundState = 2
Triggerall = var(57)=5&&(p2stateno!=[120,159])&&p2movetype!=H&&random<1000-(var(59)=3)*950
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !( ( var(58)!=0&&enemynear(var(53)),stateno=var(58) ) || ( var(54)!=0&&enemynear(var(53)),stateno=var(54) ) )
Triggerall = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger1 = TeamSide=1
Trigger2 = TeamSide=2 &&enemynear(var(53)),stateno!=0&&enemynear(var(53)),stateno!=[140,159]
Trigger3 = TeamSide=2 &&enemynear(var(53)),time>=2&&enemynear(var(53)),stateno=0
Trigger4 = TeamSide=2 &&enemynear(var(53)),time>=2&&enemynear(var(53)),stateno=[140,159]
Value = 500

[State -1,37]
type = ChangeState
value = 37
Triggerall= Var(59)>3&&ctrl&&statetype!=A&&stateno!=39
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !( ( var(58)!=0&&enemynear(var(53)),stateno=var(58) ) || ( var(54)!=0&&enemynear(var(53)),stateno=var(54) ) )
Triggerall = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger1 = EnemyNear(var(53)),HitDefAttr = SC,AT

[State -1,1100,1101,1102]
Type = ChangeState
Triggerall = var(59)>0||fvar(38)=4
Triggerall = StateType!=A&&!InGuardDist&&Ctrl&&numhelper(30000)&& RoundState = 2
Trigger1 = p2statetype=L
trigger1 = helper(30000),var(49)=[1,5]
Trigger1 = helper(30000),var(52)>0&&helper(30000),var(52)-helper(30000),var(51)<= (p2bodydist X/7)+9
Trigger2 = helper(30000),var(52)=0
Trigger2 = enemynear(var(53)),stateno=5120&&enemynear(var(53)),time=[4,7]
Value = ifelse(p2bodydist X <101, 1100,ifelse(p2bodydist X >220,1102,1101) )

[State -1,1202]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=4
Triggerall = StateType!=A&&Ctrl&&RoundState=2&&numhelper(30000)&&!inguarddist
Trigger1 = p2statetype=L
trigger1 = helper(30000),var(49)=[6,10]
Trigger1 = helper(30000),var(52)>0&&helper(30000),var(52)-helper(30000),var(51)<= 15
Trigger2 = (p2stateno=0&&helper(30000),var(49)!=0)||p2statetype=L||p2stateno=[5110,5120]
trigger2 = helper(30000),var(49)=[16,20]
Trigger2 = helper(30000),var(52)>0&&helper(30000),var(52)-helper(30000),var(51)<= 15
Trigger2 = p2bodydist X!=[0,50]
Value = 1202

[State -1,300]
Type = ChangeState
Triggerall = var(59)>2||fvar(38)=4
Triggerall = StateType!=A&&(Ctrl||(stateno=300&&AnimElem=4,>0))&&RoundState=2&&!inguarddist
Triggerall = var(57)!=4&&numhelper(30000)&&p2bodydist X=[0,50]
trigger1 = helper(30000),var(49)=[11,15]
Trigger1 = p2stateno=0||p2statetype=L||p2stateno=[5110,5120]
Trigger2 = helper(30000),var(51)!=0
Trigger2 = helper(30000),var(52)=0&&(p2stateno=5120||p2stateno=0)
Trigger3 = (p2stateno=0&&helper(30000),var(49)!=0)||p2statetype=L||p2stateno=[5110,5120]
trigger3 = helper(30000),var(49)=[16,20]
Trigger3 = helper(30000),var(52)>0&&helper(30000),var(52)-helper(30000),var(51)<= 10
Value = 300

[State -1, 39]
type = ChangeState
value = 39
Triggerall = Var(59)>0||fvar(38)=4
Triggerall = stateno!=39&&!inguarddist
triggerall = RoundState=2&&ctrl&&statetype!=A
Triggerall = enemynear(var(53)),statetype=L &&numhelper(30000)
trigger1 = helper(30000),var(49)=[16,20]
Trigger1 = p2bodydist X=[130,149]
Trigger1 = helper(30000),var(52)>0&&helper(30000),var(52)-helper(30000),var(51)<= 37

[State -1, 20]
type = ChangeState
value = 20
triggerall = var(59)>0||fvar(38)=4
triggerall = p2dist X > 0 &&anim!=5
triggerall = RoundState=2&&ctrl&&statetype=S&&stateno!=52&&stateno!=20&&!inguarddist&&numhelper(30000)
trigger1 = helper(30000),var(52)!=0&&helper(30000),var(49)!=0
trigger1 = p2bodydist X>=149
trigger2 = helper(30000),var(52)!=0&&helper(30000),var(49)=[16,20]
trigger2 = p2bodydist X<130
trigger3 = helper(30000),var(52)!=0&&helper(30000),var(49)=[11,15]
trigger3 = p2bodydist X>50
trigger4 = helper(30000),var(52)=0&&helper(30000),var(49)!=0
ctrl = 1

[State -1,440]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = vel X > 0 &&vel Y >= 0
Triggerall = StateType = A &&Ctrl&& RoundState = 2
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = Pos Y >= -80
Value = 440

[State -1,230 240 250]
Type = ChangeState
TriggerAll = var(59)>0||fvar(38)=3
Triggerall = !inguarddist&&p2movetype!=H&&p2stateno<5000
Trigger1 = P2BodyDist X < 123 &&Ctrl&& RoundState=2
Trigger1 = (p2stateno=[35,45])&&vel Y <=0&&enemynear(var(53)),time<10
Value = ifelse( (P2BodyDist X <113),230,ifelse((P2BodyDist X <116),240,250))

[State -1, 1202]
Type = ChangeState
Triggerall = var(59)>2||fvar(38)=2
Triggerall = numhelper(30000)
Triggerall = StateType!=A&&RoundState=2
Triggerall = var(41):=1
Triggerall = helper(30000),var(42)=1
Triggerall = var(41):=2
Trigger1 = stateno=200||stateno=300
Trigger1 = var(41):=3
Trigger1 = movehit>0&&Var(6)>0
Trigger1 = var(41):=4
Value = 1202

[State -1,37,38]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = StateType!=A&&Ctrl&&RoundState=2
Triggerall = numhelper(30000)
Triggerall = helper(30000),var(50)=[31,34]
Trigger1 = floor(var(56)/100)<=var(56)%100 &&p2stateno>=5000
Trigger1 = var(57):=0||1
Value = 37+( (100*life/const(data.life))>50 )

[State -1,1000]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = StateType!=A&&RoundState=2
Triggerall = ctrl||(stateno=300&&movehit>0&&var(6)>0)
Triggerall = numhelper(30000)
Triggerall = helper(30000),var(50)=[35,39-helper(30000),var(41)]
Trigger1 = floor(var(56)/100)<=var(56)%100 &&p2stateno>=5000
Trigger1 = var(57):=0||1
Value = 1000
[State -1,39]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = StateType!=A&&Ctrl&&RoundState=2
Triggerall = numhelper(30000)
Triggerall = helper(30000),var(50)=[35,39-helper(30000),var(41)]
Trigger1 = floor(var(56)/100)<=var(56)%100 &&p2stateno>=5000
Trigger1 = enemynear(var(53)),BackEdgeBodyDist<25&&frontedgebodydist<140
Trigger1 = var(57):=0||1
Value = 39

[State -1,240]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = StateType = S&&!InGuardDist &&Ctrl&& RoundState = 2
Triggerall = numhelper(30000)
Triggerall = helper(30000),var(50)=[40-helper(30000),var(41),42-helper(30000),var(41)]
Trigger1 = floor(var(56)/100)<=var(56)%100 &&p2stateno>=5000
Trigger1 = var(57):=9
Value = 240
[State -1,350]
Type = ChangeState
Triggerall = var(59)>0||fvar(38)=2
Triggerall = numhelper(30000)&&StateType!=A&&Ctrl&& RoundState = 2
Trigger1 = var(57)=9 &&p2stateno>=5000
Trigger1 = var(57):=0||1
Value = 350

[State -1,1100 1102 1101]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = StateType!=A&&RoundState=2
Triggerall = ctrl||(stateno=300&&movehit>0&&var(6)>0)
Triggerall = numhelper(30000)
Triggerall = helper(30000),var(50)=[42-helper(30000),var(41),47]
Trigger1 = floor(var(56)/100)<=var(56)%100 &&p2stateno>=5000
Trigger1 = var(57):=0||1
Value = ifelse(random<300,1100,ifelse(random<600,1102,1101))

[State -1,300]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = StateType!=A&&Ctrl&& RoundState = 2 &&var(57)!=11
Triggerall = numhelper(30000)&&p2bodydist X<=50&&p2movetype=H
Trigger1 = floor(var(56)/100)<=var(56)%100
Trigger1 = var(57):=11
Value = 300

[State -1,300]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = StateType!=A&&Ctrl&& RoundState = 2 &&var(57)!=11
Triggerall = numhelper(30000)&&p2bodydist X<=50&&p2movetype=H
Triggerall = helper(30000),var(43)=[1,3+helper(30000),var(41)]
Trigger1 = floor(var(56)/100)>var(56)%100
Trigger1 = var(57)=1
Value = 300

[State -1 P 200]
Type = ChangeState
Triggerall = var(59)>0||fvar(38)=2
Triggerall = numhelper(30000)
Triggerall = !(P2StateType=A||P2StateType=L)&&P2stateno>=5000&& roundstate=2
Triggerall = StateNo=300&&AnimElem=4,>0&&var(57)!=2 &&p2statetype=S
Triggerall = floor(var(56)/100)>var(56)%100
Triggerall = helper(30000),var(43)=[1,3+helper(30000),var(41)]
Triggerall = helper(30000),var(39)=0
Trigger1 = P2BodyDist X=[-57,57]
Value = 200

[State -1,1201]
Type = ChangeState
Triggerall = var(59)>2||fvar(38)=2
Triggerall = numhelper(30000)
Triggerall = StateType!=A&&RoundState=2
Triggerall = helper(30000),var(43)=[1,3+helper(30000),var(41)]
Trigger1 = (p2statetype=S&&stateno=200)||((p2statetype=C||helper(30000),var(39)=1)&&stateno=300)
Trigger1 = movehit>0&&Var(6)>0
Trigger1 = var(57):=3
Value = 1201

[State -1,310]
Type =ChangeState
Triggerall = var(59)>0||fvar(38)=2
Triggerall = numhelper(30000)&&var(57)!=2
Triggerall = helper(30000),var(43)=[4+helper(30000),var(41),8]
Trigger1 = Ctrl&&statetype!=A
value = 9

[State -1,250]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = p2bodydist X<=123
Triggerall = StateType!=A&&Ctrl&& RoundState = 2
Trigger1 = var(57)=2 ;ue karano konnbo
Trigger1 = var(57):=0||1
Value = 250

[State -1, 300]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = StateType!=A&&Ctrl&& RoundState = 2
Triggerall = numhelper(30000)&&p2bodydist X<=50&&p2movetype=H
Triggerall = floor(var(56)/100)>var(56)%100
Triggerall = helper(30000),var(43)=[9+(helper(30000),var(41)=4),10]
Trigger1 = var(57)=1
Value = 300

[State -1,P 200]
Type = ChangeState
Triggerall = var(59)>0||fvar(38)=2
Triggerall = numhelper(30000)
Triggerall = !(P2StateType=A||P2StateType=L)&&P2stateno>=5000&& roundstate=2
Triggerall = StateNo=300&&AnimElem=4,>0&&var(57)!=2 &&p2statetype=S
Triggerall = floor(var(56)/100)>var(56)%100
Triggerall = helper(30000),var(43)=[9+(helper(30000),var(41)=4),10]
Triggerall = helper(30000),var(39)=0
Trigger1 = P2BodyDist X=[-57,57]
Value = 200

[State -1, 1102]
Type = ChangeState
Triggerall = var(59)>2||fvar(38)=2
Triggerall = numhelper(30000)
Triggerall = StateType!=A&&RoundState=2
Triggerall = helper(30000),var(43)=[9+(helper(30000),var(41)=4),10]
Trigger1 = (p2statetype=S&&stateno=200)||((p2statetype=C||helper(30000),var(39)=1)&&stateno=300)
Trigger1 = movehit>0&&Var(6)>0
Value = 1102

[State -1,P 200]
Type = ChangeState
Triggerall = var(59)>0||fvar(38)=2
Triggerall = !(P2StateType=A||P2StateType=L)&&P2stateno>=5000&& roundstate=2&&EnemyNear(var(53)),GetHitVar(yvel) = 0
;Triggerall = EnemyNear(var(53)),GetHitVar(HitShakeTime)+EnemyNear(var(53)),GetHitVar(HitTime)>=3
Triggerall = Ctrl&&statetype=S&&var(57)=12
Trigger1 = EnemyNear(var(53)),GetHitVar(HitShakeTime) > 4
Trigger1 = P2BodyDist X=[-57,57]
Trigger2 = (abs(EnemyNear(var(53)),Vel X) = abs(EnemyNear(var(53)),GetHitVar(xvel))) || EnemyNear(var(53)),Vel X = 0
Trigger2 = EnemyNear(var(53)),GetHitVar(HitShakeTime) <= 4
Trigger2 = (P2BodyDist X+(EnemyNear(var(53)),GetHitVar(xvel)*(1-fvar(39)**(4 - EnemyNear(var(53)),GetHitVar(HitShakeTime)))/(1-fvar(39)))*var(50))=[-55,55]
Trigger3 = !((abs(EnemyNear(var(53)),Vel X) = abs(EnemyNear(var(53)),GetHitVar(xvel))) || EnemyNear(var(53)),Vel X = 0)
Trigger3 = EnemyNear(var(53)),GetHitVar(HitShakeTime) <= 4
Trigger3 =(P2BodyDist X-((EnemyNear(var(53)),Vel X)*(1-fvar(39)**(4-EnemyNear(var(53)),GetHitVar(HitShakeTime)))/(1- fvar(39)))*var(50))=[-55,55]
Value = 200

[State -1,230]
Type =ChangeState
Triggerall = var(59)>2||fvar(38)=4
Triggerall = numhelper(30000)
Triggerall = !(floor(var(56)/100)<=var(56)%100&&helper(30000),var(50)=[43,46]);nage no jama sinaiyouni
Triggerall = !(P2StateType = A || P2StateType = L)&&P2MoveType=H&&roundstate=2&&EnemyNear(var(53)),GetHitVar(yvel) = 0
;Triggerall = EnemyNear(var(53)),GetHitVar(HitShakeTime)+EnemyNear(var(53)),GetHitVar(HitTime) >= 4
Triggerall = StateType=S&&Ctrl&&var(57)!=1&&p2stateno!=[120,159]
Trigger1 = EnemyNear(var(53)),GetHitVar(HitShakeTime) > 5
Trigger1 = P2BodyDist X=[-108,108]
Trigger2 = (abs(EnemyNear(var(53)),Vel X) = abs(EnemyNear(var(53)),GetHitVar(xvel))) || EnemyNear(var(53)),Vel X = 0
Trigger2 = EnemyNear(var(53)),GetHitVar(HitShakeTime) <= 5
Trigger2 = (P2BodyDist X+(EnemyNear(var(53)),GetHitVar(xvel)*(1-fvar(39)**(5 - EnemyNear(var(53)),GetHitVar(HitShakeTime)))/(1-fvar(39)))*var(50))=[-108,108]
Trigger3 = !((abs(EnemyNear(var(53)),Vel X) = abs(EnemyNear(var(53)),GetHitVar(xvel))) || EnemyNear(var(53)),Vel X = 0)
Trigger3 = EnemyNear(var(53)),GetHitVar(HitShakeTime) <= 5
Trigger3 =(P2BodyDist X-((EnemyNear(var(53)),Vel X)*(1-fvar(39)**(5-EnemyNear(var(53)),GetHitVar(HitShakeTime)))/(1- fvar(39)))*var(50))=[-108,108]
value = 230

[State -1, 240]
Type =ChangeState
Triggerall = var(59)>2||fvar(38)=4
Triggerall = numhelper(30000)
Triggerall = !(floor(var(56)/100)<=var(56)%100&&helper(30000),var(50)=[43,46]);nage no jama sinaiyouni
Triggerall = !(P2StateType = A || P2StateType = L)&&P2MoveType = H && roundstate=2&&EnemyNear(var(53)),GetHitVar(yvel) = 0
;Triggerall = EnemyNear(var(53)),GetHitVar(HitShakeTime) + EnemyNear(var(53)),GetHitVar(HitTime) >= 3
Triggerall = StateType=S&&Ctrl&&var(57)!=1&&p2stateno!=[120,159]
Trigger1 = EnemyNear(var(53)),GetHitVar(HitShakeTime) > 5
Trigger1 = P2BodyDist X=[-116,116]
Trigger2 = (abs(EnemyNear(var(53)),Vel X) = abs(EnemyNear(var(53)),GetHitVar(xvel))) || EnemyNear(var(53)),Vel X = 0
Trigger2 = EnemyNear(var(53)),GetHitVar(HitShakeTime) <= 5
Trigger2 = (P2BodyDist X+(EnemyNear(var(53)),GetHitVar(xvel)*(1-fvar(39)**(5 - EnemyNear(var(53)),GetHitVar(HitShakeTime)))/(1-fvar(39)))*var(50))=[-116,116]
Trigger3 = !((abs(EnemyNear(var(53)),Vel X) = abs(EnemyNear(var(53)),GetHitVar(xvel))) || EnemyNear(var(53)),Vel X = 0)
Trigger3 = EnemyNear(var(53)),GetHitVar(HitShakeTime) <= 5
Trigger3 =(P2BodyDist X-((EnemyNear(var(53)),Vel X)*(1-fvar(39)**(5-EnemyNear(var(53)),GetHitVar(HitShakeTime)))/(1- fvar(39)))*var(50))=[-116,116]
value = 240

[State -1,]
Type = ChangeState
triggerall = var(59)>2
Triggerall = numhelper(30000)&&p2stateno<5000
Triggerall =!(p2statetype=A||p2statetype=L)&&((stateno=0&&var(59)>3)||stateno=20)&&P2BodyDist X<(36*Const(Size.XScale))&&RoundState = 2
Triggerall = ((var(59)>3)||(enemy,time>(var(59)=3)*10))&&helper(30000),var(44)!=0
Trigger1 = var(49)=1
Trigger2 = var(49)=2&&(100*life/const(data.life))<40
Trigger3 = var(49)=3&&helper(30000),var(44)=[1,1+var(59)]
Trigger4 = var(49)=4&&(100*life/const(data.life))<40&&helper(30000),var(44)=[1,2+var(59)]
Value = 500

[State -1,37,38]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = StateType!=A&&Ctrl&&RoundState=2
Triggerall = numhelper(30000)
Triggerall = helper(30000),var(50)=[1,4]
Trigger1 = floor(var(55)/100)<=var(55)%100 &&p2stateno=[120,159]
Trigger1 = var(57):=0||1
Value = 37+( (100*life/const(data.life))>50 )

[State -1, 1000]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = StateType!=A&&Ctrl&&RoundState=2
Triggerall = numhelper(30000)
Triggerall = helper(30000),var(50)=[5,8]
Trigger1 = floor(var(55)/100)<=var(55)%100 &&p2stateno=[120,159]
Trigger1 = var(57):=0||1
Value = 1000
[State -1, 39]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = StateType!=A&&Ctrl&&RoundState=2
Triggerall = numhelper(30000)
Triggerall = helper(30000),var(50)=[5,8]
Trigger1 = floor(var(55)/100)<=var(55)%100 &&p2stateno=[120,159]
Trigger1 = enemynear(var(53)),BackEdgeBodyDist<25&&frontedgebodydist<140
Trigger1 = var(57):=0||1
Value = 39

[State -1,240]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = StateType = S&&!InGuardDist &&Ctrl&& RoundState = 2
Triggerall = numhelper(30000)
Triggerall = helper(30000),var(50)=[9,12]
Trigger1 = floor(var(55)/100)<=var(55)%100 &&var(57)!=9&&p2stateno=[120,159]
Trigger1 = var(57):=9
Value = 240
[State -1,350]
Type = ChangeState
Triggerall = var(59)>0||fvar(38)=2
Triggerall = numhelper(30000)&&StateType!=A&&Ctrl&& RoundState = 2
Trigger1 = var(57)=9 &&p2stateno=[120,159]
Trigger1 = var(57):=0||1
Value = 350

[State -1,500]
Type = ChangeState
Triggerall = var(59)>2||fvar(38)=2
triggerall =!(p2statetype=A||p2statetype=L)&&(stateno=0||stateno=20) &&(P2BodyDist X <=(36*Const(Size.XScale))) &&RoundState = 2
Triggerall = numhelper(30000)
Triggerall = helper(30000),var(50)=[13,16]
Triggerall = floor(var(55)/100)<=var(55)%100
Triggerall = p2movetype!=H&&p2stateno<5000&&p2stateno!=[150,159]
Trigger1 = TeamSide=1
Trigger1 = var(57):=0||1
Trigger2 = TeamSide=2 &&enemynear(var(53)),stateno!=0&&enemynear(var(53)),stateno!=[140,159]
Trigger2 = var(57):=0||1
Trigger3 = TeamSide=2 &&enemynear(var(53)),time>=2&&enemynear(var(53)),stateno=0
Trigger3 = var(57):=0||1
Trigger4 = TeamSide=2 &&enemynear(var(53)),time>=2&&enemynear(var(53)),stateno=[140,159]
Trigger4 = var(57):=0||1
Value = 500

[State -1, 1100 1102 1101]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = StateType!=A&&Ctrl&&RoundState=2
Triggerall = numhelper(30000)
Triggerall = helper(30000),var(50)=[16,20]
Trigger1 = floor(var(55)/100)<=var(55)%100 &&p2stateno=[120,159]
Trigger1 = var(57):=0||1
Value = ifelse(random<300,1100,ifelse(random<600,1102,1101))

[State -1, 1202]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = StateType!=A&&Ctrl&&RoundState=2
Trigger1 = var(57)=7
Trigger1 = var(57):=8
Value = 1202

[State -1, 340];var(57)=>6
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = StateType!=A&&Ctrl&& RoundState = 2
Triggerall = var(57)=8&&p2bodydist X < 62
Triggerall = floor(var(55)/100)>var(55)%100
Trigger1 = !(p2statetype=A||p2statetype=L)&&!InGuardDist
Trigger1 = var(55):=var(55)+1
Value = 8

[State -1, 240]
Type = ChangeState
Triggerall = var(59)>1||fvar(38)=2
Triggerall = StateType = S&&!InGuardDist &&Ctrl&& RoundState = 2
Trigger1 = var(57)=6
Trigger1 = var(57):=7
Value = 240

[State -1, 300 200]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = StateType!=A&&Ctrl&& RoundState = 2
Triggerall = !(p2statetype=A||p2statetype=L)
Triggerall = numhelper(30000)&&var(57)!=4&&p2movetype=I&&p2stateno!=[120,159]
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !( ( var(58)!=0&&enemynear(var(53)),stateno=var(58) ) || ( var(54)!=0&&enemynear(var(53)),stateno=var(54) ) )
Triggerall = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
trigger1 = p2bodydist X=[70,180]
trigger1 = helper(30000),var(47)!=0||helper(30000),var(46)!=0||var(58)!=0||var(54)!=0
trigger1 = random < 10+30*(var(52))
Value = ifelse(random<300,200,ifelse(random<600,300,ifelse(random<850,310,330)))

[State -1, 1200]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = StateType!=A&&(Ctrl||stateno=11||(Time<2&&StateNo=[200,399])||Var(6)>0)&&RoundState=2
Triggerall = P2stateno=5040 && p2statetype=A
Triggerall = P2bodydist X - 9*(enemynear(var(53)),Vel X + vel X)>=40
Trigger1 = enemynear(var(53)),Vel Y!=0&&(p2movetype=I||p2stateno=5040)
Trigger1 = Ceil((-enemynear(var(53)),Pos Y)/(enemynear(var(53)),Vel Y))=[8,10]
Value = 1202

[State -1, 500]
Type = ChangeState
Triggerall = var(59)>2||fvar(38)=3
triggerall =!(p2statetype=A||p2statetype=L)&&(stateno=0||stateno=20) &&(P2BodyDist X <=(36*Const(Size.XScale))) &&RoundState = 2
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !( ( var(58)!=0&&enemynear(var(53)),stateno=var(58) ) || ( var(54)!=0&&enemynear(var(53)),stateno=var(54) ) )
Triggerall = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Triggerall = helper(30000),var(44)=0 ;saikonage to kubetu
Triggerall = random<var(59)*250-(var(59)=3)*300
Triggerall = var(57)!=3&&enemynear(var(53)),movetype!=H
Triggerall = enemynear(var(53)),stateno<5000&&enemynear(var(53)),stateno!=[150,159]
Trigger1 = TeamSide=1
Trigger2 = TeamSide=2 &&enemynear(var(53)),stateno!=0&&enemynear(var(53)),stateno!=[140,159]
Trigger3 = TeamSide=2 &&enemynear(var(53)),time>=2&&enemynear(var(53)),stateno=0
Trigger4 = TeamSide=2 &&enemynear(var(53)),time>=2&&enemynear(var(53)),stateno=[140,159]
Value = 500

[State -1,1202]
Type = ChangeState
Triggerall = var(59)>0&&var(57)!=1
Triggerall = StateType!=A&&(Ctrl||stateno=11||Var(6)>0)&&RoundState=2
Triggerall = var(59)!=1&&var(57)!=4&&p2movetype!=H&&p2stateno!=[120,159]
Triggerall = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger1 = random<ifelse(var(59)=2,5,ifelse(var(59)=3,10,ifelse(var(59)=4,20,30)))
Trigger1 = p2statetype!=A&&p2movetype!=A&&!inguarddist&&p2stateno!=[5110,5120]
trigger1 = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
trigger1 = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger2 = p2bodydist X>70&&var(59)>=4&&random<ifelse(var(59)=4,80,250)
Trigger2 = p2statetype=C&&p2movetype=A&&enemynear(var(53)),time=[0,1]
trigger2 = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
trigger2 = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
trigger3 = (helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10))
trigger3 = enemynear(var(53)),animtime=-9
trigger4 = ( ( var(58)!=0&&enemynear(var(53)),stateno=var(58) ) || ( var(54)!=0&&enemynear(var(53)),stateno=var(54) ) )
trigger4 = enemynear(var(53)),animtime=-9
Value = 1202

[State -1, 1100 1102 1101]
Type = ChangeState
Triggerall = var(59)>0&&var(57)!=1
Triggerall = StateType!=A&&!InGuardDist&& (Ctrl||Var(6)>0) && RoundState = 2
Triggerall = !(var(59)=1||var(57)=4)&&(p2stateno!=[502,503])&&(p2stateno!=[5000,5100])&&p2stateno!=1104&&p2stateno!=[120,159]
Triggerall = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = random<ifelse(var(59)=2,5,ifelse(var(59)=3,10,ifelse(var(59)=4,30,60)))
Trigger1 = p2movetype!=A&&!inguarddist&&p2bodydist X >80&&p2stateno!=[5110,5120]
Trigger2 = random<ifelse(var(59)=2,2,ifelse(var(59)=3,5,ifelse(var(59)=4,20,40)))
Trigger2 = p2statetype=A&&p2movetype=I
Value = ifelse(p2bodydist X <101, 1100,ifelse(p2bodydist X >220,1102,1101) )

[State -1,1201 1200]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = StateType!=A&&(Ctrl||stateno=11||Var(6)>0)&&RoundState=2
Triggerall = var(59)!=1&&var(57)!=4&&(p2stateno!=[5000,5100])&&p2stateno!=1104&&(p2stateno!=[502,503])&&p2stateno!=[120,159]
Triggerall = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = p2stateno=5120&&enemynear(var(53)),animtime=-15&&!InGuardDist&&p2bodydist X = [0,220]
Trigger1 = random>ifelse(var(59)=2,950,ifelse(var(59)=3,900,ifelse(var(59)=4,750,750))) ;okizeme
Trigger2 = random<ifelse(var(59)=2,1,ifelse(var(59)=3,3,ifelse(var(59)=4,20,30)))
Trigger2 = p2statetype!=A&&p2movetype!=A&&!inguarddist&&(p2bodydist X =[150,220])&&p2stateno!=[5110,5120]
Value = ifelse( (p2bodydist X=[170,220]) ,1201,1200)

[State -1,1002]
Type = ChangeState
Triggerall = var(59)>1&&!(var(57)=4)&&var(57)!=4&&!(p2stateno=1104&&var(59)=5)
Triggerall = var(57)!=4&&StateType!=A&&(Ctrl||StateNo=40||Var(6)>0)&&RoundState=2
Triggerall = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = helper(30000),var(49)=0 ;okizeme
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = p2bodydist X>(110+(var(59)=5)*30)&&p2statetype!=L&&p2stateno<5000&&p2stateno!=[120,159]
Trigger1 = (random<ifelse(var(59)=2,5,ifelse(var(59)=3,20,ifelse(var(59)=4,60,30))))||(random<40&&p2movetype=A&&var(59)>3&&enemynear(var(53)),time=(0,1])
Value = 1000

[State -1,‹üŽã‚o 300]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = StateType!=A&&(Ctrl||((StateNo=200||stateno=300)&&AnimElem=4,>0))&& RoundState = 2
Triggerall = numhelper(30000)&&var(57)!=4&&p2bodydist X<=50&&p2stateno!=[120,159]
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger1 = (p2stateno!=[120,159])&&p2movetype!=H&&p2stateno!=[5000,5999]
Trigger1 = !inguarddist&&p2statetype!=A&&random<200&&ctrl
Trigger2 = ((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger2 = enemynear(var(53)),animtime=-4
Trigger3 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
trigger3 =  ((EnemyNear(var(53)),facing!=facing)||((EnemyNear(var(53)),facing=facing)&&p2dist X>0))&&p2statetype!=A&&p2movetype!=H&&p2stateno!=[5000,5200]
trigger3 = Enemynear(var(53)),AnimTime=-4
Trigger4 = enemynear(var(53)),Vel Y!=0&&(p2movetype=I||p2stateno=5040)
Trigger4 = Ceil((-enemynear(var(53)),Pos Y)/(enemynear(var(53)),Vel Y))=4
Value = 300

[State -1, 200]
Type = ChangeState
Triggerall = var(59)>1
Triggerall = p2bodydist X<55+(var(59)!=5)*(4-var(59))*20
Triggerall = StateType!=A&&(Ctrl||(StateNo=200&&AnimElem=4,>0))&& RoundState = 2
Triggerall = var(57)!=4&&p2stateno!=[120,159]
Triggerall = numhelper(30000)
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger1 = (p2stateno!=[120,159])&&p2movetype!=H&&p2stateno!=[5000,5999]
Trigger1 = !inguarddist&&p2statetype!=A&&random<200&&ctrl
Trigger2 = ((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger2 = enemynear(var(53)),animtime=-4
Trigger3 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
trigger3 = ((EnemyNear(var(53)),facing!=facing)||((EnemyNear(var(53)),facing=facing)&&p2dist X>0))&&p2statetype!=A&&p2movetype!=H&&p2stateno!=[5000,5200]
trigger3 = Enemynear(var(53)),AnimTime=-4
Trigger4 = enemynear(var(53)),Vel Y!=0&&(p2movetype=I||p2stateno=5040)
Trigger4 = !inguarddist&&Ceil((-enemynear(var(53)),Pos Y)/(enemynear(var(53)),Vel Y))=4
Trigger4 = enemynear(var(53)),const(size.height)>66
Value = 200

[State -1, 230]
Type = ChangeState
Triggerall = var(59)>1&&p2bodydist X=[40,113]
Triggerall = StateType = S &&!InGuardDist&&Ctrl&& RoundState = 2
Triggerall = numhelper(30000)&&var(57)!=4&&p2stateno!=[120,159]
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger1 = (p2stateno!=[120,159])&&p2movetype!=H&&p2stateno!=[5000,5999]
Trigger1 = !inguarddist&&p2statetype!=A&&ctrl
Trigger1 = random<200-60*(helper(30000),var(45)+var(52))+60*(helper(30000),var(53)>0)+60*(helper(30000),var(54)>0)
Trigger2 = ((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger2 = enemynear(var(53)),animtime=-5
Trigger3 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
trigger3 =  ((EnemyNear(var(53)),facing!=facing)||((EnemyNear(var(53)),facing=facing)&&p2dist X>0))&&p2statetype!=A&&p2movetype!=H&&p2stateno!=[5000,5200]
trigger3 = Enemynear(var(53)),AnimTime=-5
Trigger4 = enemynear(var(53)),Vel Y!=0&&(p2movetype=I||p2stateno=5040)
Trigger4 = !inguarddist&&Ceil((-enemynear(var(53)),Pos Y)/(enemynear(var(53)),Vel Y))=5
Value = 230

[State -1, 240]
Type = ChangeState
Triggerall = var(59)>1&&p2bodydist X=[40,116]
Triggerall = StateType = S&&Ctrl&& RoundState = 2
Triggerall = numhelper(30000)&&var(57)!=4&&var(57)!=1&&p2stateno!=[120,159]
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger1 = (p2stateno!=[120,159])&&p2movetype!=H&&p2stateno!=[5000,5999]
Trigger1 = !inguarddist&&p2statetype!=A&&ctrl
Trigger1 = random<200-60*(helper(30000),var(45)+var(52))
Trigger2 = ((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger2 = enemynear(var(53)),animtime=-5
Trigger3 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
trigger3 =  ((EnemyNear(var(53)),facing!=facing)||((EnemyNear(var(53)),facing=facing)&&p2dist X>0))&&p2statetype!=A&&p2movetype!=H&&p2stateno!=[5000,5200]
trigger3 = Enemynear(var(53)),AnimTime=-5
Trigger4 = enemynear(var(53)),Vel Y!=0&&(p2movetype=I||p2stateno=5040)
Trigger4 = !inguarddist&&Ceil((-enemynear(var(53)),Pos Y)/(enemynear(var(53)),Vel Y))=5
Value = 240

[State -1, 250]
Type = ChangeState
Triggerall = var(59)>1&&p2bodydist X=[70,123]
Triggerall = StateType = S&&!InGuardDist &&Ctrl&& RoundState = 2
Triggerall = var(57)!=4&&p2stateno!=[120,159]
Triggerall = numhelper(30000)
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger1 = (p2stateno!=[120,159])&&p2movetype!=H&&p2stateno!=[5000,5999]
Trigger1 = !inguarddist&&p2statetype!=A&&ctrl
Trigger1 = random<130-60*(helper(30000),var(45)+var(52))
Trigger2 = ((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger2 = enemynear(var(53)),animtime=-6
Trigger3 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
trigger3 =  ((EnemyNear(var(53)),facing!=facing)||((EnemyNear(var(53)),facing=facing)&&p2dist X>0))&&p2statetype!=A&&p2movetype!=H&&p2stateno!=[5000,5200]
trigger3 = Enemynear(var(53)),AnimTime=-6
Trigger4 = enemynear(var(53)),Vel Y!=0&&(p2movetype=I||p2stateno=5040)
Trigger4 = !inguarddist&&Ceil((-enemynear(var(53)),Pos Y)/(enemynear(var(53)),Vel Y))=6
Value = 250

[State -1, 310]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = StateType!=A&&Ctrl&& RoundState = 2&&!InGuardDist
Triggerall = var(57)!=4&&(p2bodydist X=[50,55])&&p2stateno!=[120,159]
Triggerall = numhelper(30000)
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger1 = (p2stateno!=[120,159])&&p2movetype!=H&&p2stateno!=[5000,5999]
Trigger1 = !inguarddist&&p2statetype!=A&&ctrl
Trigger1 = random<200-60*(helper(30000),var(45)+var(52))
Trigger2 = ((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger2 = enemynear(var(53)),animtime=-5
Trigger3 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
trigger3 =  ((EnemyNear(var(53)),facing!=facing)||((EnemyNear(var(53)),facing=facing)&&p2dist X>0))&&p2statetype!=A&&p2movetype!=H&&p2stateno!=[5000,5200]
trigger3 = Enemynear(var(53)),AnimTime=-5
Trigger4 = enemynear(var(53)),Vel Y!=0&&(p2movetype=I||p2stateno=5040)
Trigger4 = !inguarddist&&Ceil((-enemynear(var(53)),Pos Y)/(enemynear(var(53)),Vel Y))=5
Value = 310

[State -1, 340]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = numhelper(30000)&&StateType!=A&&Ctrl&& RoundState = 2
Triggerall = (var(57)!=[4,5])&&(p2bodydist X=[55,62])&&p2stateno!=[120,159]
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger1 = (p2stateno!=[120,159])&&p2movetype!=H&&p2stateno!=[5000,5999]
Trigger1 = !inguarddist&&p2statetype!=A&&ctrl
Trigger1 = random<200-60*(helper(30000),var(45)+var(52))
Trigger2 = ((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger2 = enemynear(var(53)),animtime=-5
Trigger3 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
trigger3 =  ((EnemyNear(var(53)),facing!=facing)||((EnemyNear(var(53)),facing=facing)&&p2dist X>0))&&p2statetype!=A&&p2movetype!=H&&p2stateno!=[5000,5200]
trigger3 = Enemynear(var(53)),AnimTime=-5
Trigger4 = enemynear(var(53)),Vel Y!=0&&(p2movetype=I||p2stateno=5040)
Trigger4 = !inguarddist&&Ceil((-enemynear(var(53)),Pos Y)/(enemynear(var(53)),Vel Y))=5
Value = 340

[State -1, 350]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = numhelper(30000)&&StateType!=A&&!InGuardDist &&Ctrl&& RoundState = 2
Triggerall = (var(57)!=[4,5])&&p2bodydist X<185&&p2stateno!=[120,159]
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
Trigger1 = (p2stateno!=[120,159])&&p2movetype!=H&&p2stateno!=[5000,5999]
Trigger1 = !inguarddist&&p2statetype!=A&&ctrl
Trigger1 = random<10-3*(helper(30000),var(45)+var(52))
Trigger2 = enemynear(var(53)),Vel Y!=0&&(p2movetype=I||p2stateno=5040)
Trigger2 = !inguarddist&&Ceil((-enemynear(var(53)),Pos Y)/(enemynear(var(53)),Vel Y))=7
Trigger2 = p2bodydist X-7*(enemynear(var(53)),Vel X+vel X)=[120,185]
Value = 350

[State -1, 400]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = vel X >0
Triggerall = StateType = A &&Ctrl&& RoundState = 2&&numhelper(30000)
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = p2statetype=A
Trigger1 = p2bodydist Y<0
Value = 400

[State -1, 440]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = vel X > 0 &&vel Y >= 0
Triggerall = StateType = A &&Ctrl&& RoundState = 2&&numhelper(30000)
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
;Trigger1 = p2bodydist X =[0,100]
Trigger1 =  Pos Y >= -60
Value = 440

[State -1, 430]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = vel X =0&&var(59)!=1
Triggerall = StateType = A &&Ctrl&& RoundState = 2&&numhelper(30000)
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = random<ifelse(var(59)=2,5,ifelse(var(59)=3,50,1000))&&p2bodydist x =[0,80]
Value = 430

[State -1,430]
Type = ChangeState
Triggerall = var(59)>0
Triggerall = var(59)!=1&&random<ifelse(var(59)=2,5,ifelse(var(59)=3,100,1000))
Triggerall = StateType = A && Ctrl &&RoundState = 2 &&numhelper(30000)
trigger1 = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
trigger1 = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = vel X <0;p2bodydist x =[0,80]
trigger2 = ((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
trigger2 = vel X >=0 &&enemynear(var(53)),animtime=-3
trigger3 = ((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
trigger3 = vel X >=0 &&enemynear(var(53)),animtime=-3
Value = 430

[State -1, Walk 20]
type = ChangeState
value = 20
triggerall = var(59)>0
triggerall = numhelper(30000)
triggerall = p2dist X>0 &&anim!=5
triggerall = !inguarddist&&RoundState = 2 && statetype=S && ctrl && stateno != 52&& stateno != 20
trigger1 = (p2stateno=[120,159])&&helper(30000),var(44)!=0 ;saikonage
trigger2 = var(57)!=10&&(p2stateno=5040||p2movetype=H)
trigger3 = p2movetype=I && !(p2statetype=A||p2statetype=L) && P2BodyDist X !=[80,90]
trigger4 = var(57)=10;nagego
Trigger5 = ((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
trigger6 = ((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
trigger7 = ((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
ctrl = 1

[State -1, jump 39]
type = ChangeState
value = 39
Triggerall= Var(59)>0&&stateno!=39&&numhelper(30000)
triggerall =(p2stateno!=[5000,5999]) && RoundState = 2 &&( (p2stateno!=0)||(p2stateno=0&&enemynear(var(53)),time>3) )&&ctrl &&stateno!=11&&statetype!=A
Triggerall = !((helper(30000),var(53)>0&&p2stateno=helper(30000),var(53))||(helper(30000),var(54)>0&&p2stateno=helper(30000),var(54)))
triggerall = !((helper(30000),var(47)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(47)/10))||(helper(30000),var(46)!=0&&enemynear(var(53)),stateno=floor(helper(30000),var(46)/10)))
triggerall = !((var(58)!=0&&enemynear(var(53)),stateno=var(58))||(var(54)!=0&&enemynear(var(53)),stateno=var(54)))
Trigger1 = (p2bodydist X =[0,120])&&enemynear(var(53)),vel X>0&&p2statetype = A && p2movetype != H && (p2bodydist X =[0,80] )
Trigger2 = p2bodydist X >=ifelse(var(59)=5,130,80)&& p2movetype!=A &&p2statetype!=A&&var(59)!=5&&random<ifelse(var(59)=2,30,ifelse(var(59)=3,30,ifelse(var(59)=4,40,10)))
Trigger3 = p2statetype != A && p2movetype=A &&(enemynear(var(53)),time=(0,1])&& p2bodydist X >=160 && random<ifelse(var(59)>=4,100,4)

[state -1, 120]
type = ChangeState
value = 120
triggerall = ctrl && StateType != A &&RoundState = 2&& stateno != [120,155]
triggerall = var(59)>1
triggerall = enemy,time>5-var(59);
triggerall = random<ifelse(var(59)=2,50,ifelse(var(59)=3,180,ifelse(var(59)=4,600,1000)));
trigger1 = InGuardDist
trigger2 = p2statetype=A&&p2movetype=A&&(facing=enemynear(var(53)),facing)&&p2dist X=[-5,40]
trigger3 = p2statetype=A&&p2movetype=A&&(facing!=enemynear(var(53)),facing)&&p2dist X=[-10,10]

[State -3, AI]
type=helper
trigger1=!NumHelper(10000)
trigger1=roundstate=2
trigger1=alive
trigger1=var(59)=0
Trigger1=PrevStateNo=0||PrevStateNo=5900||PrevStateNo=196||PrevStateNo=193||PrevStateNo=191
Trigger1=ctrl&&stateno=0
helpertype=normal
name="AI"
stateno=10000
ID=10000
pos=9999,-9999
keyctrl=1
pausemovetime=2147483647
supermovetime=2147483647
persistent = 0

[State -3, ]
type=changestate
trigger1= ishelper(10000)
trigger1= stateno!=10000
value=10000

[State -1,AI]
type=Helper
triggerall=!ishelper
trigger1=!numhelper(30000)
name="AI_helper"
ID=30000
pos=0, -1000
stateno=30000
ownpal=1
supermovetime=99999
pausemovetime=99999

[State -3, ]
type=changestate
trigger1= ishelper(30000)
trigger1= stateno!=30000
value=30000

[State -1,V59]
type = null
triggerall = TeamMode = Single
triggerall = numhelper(30000)
Trigger1 = roundstate!=2 && var(59)>0
trigger1 = helper(30000),var(39)>0
trigger1 = var(59) := -var(59)
Trigger2 = roundstate=2
trigger2 = var(59)<0
trigger2 = var(59):= -var(59)
[State -1,V5&57 ]
type = null
Triggerall = roundstate>=3
triggerall = TeamMode = Single
triggerall = numhelper(30000)
trigger1 = roundstate!=1
trigger1 = helper(30000),var(53)>0
trigger1 = var(5):= -helper(30000),var(53)
trigger2 = helper(30000),var(54)>0
trigger2 = var(57):= helper(30000),var(54)
[State -1,V56~55 ]
type = null
Triggerall = roundstate>=3
triggerall = TeamMode = Single
triggerall = numhelper(30000)
trigger1 = helper(30000),fvar(39)>0
trigger1 = var(56):= floor ( helper(30000),fvar(39)*1000 )
trigger2 = helper(30000),fvar(38)>0
trigger2 = var(55):= floor ( helper(30000),fvar(38)*1000 )
[State -1,V50&FV39 ]
type = null
Triggerall = roundstate>=3
triggerall = TeamMode = Single
triggerall = numhelper(30000)
trigger1 = helper(30000),fvar(37)>0
trigger1 = var(50):= floor ( helper(30000),fvar(37)*1000 )
trigger2 = helper(30000),fvar(36)>0
trigger2 = fvar(39):=helper(30000),fvar(36)
[State -1,V53&V49 ]
type = null
Triggerall = roundstate>=3
triggerall = TeamMode = Single
triggerall = numhelper(30000)
trigger1 = helper(30000),var(46)>0
trigger1 = var(53):=helper(30000),var(46)
trigger2 = helper(30000),var(47)>0
trigger2 = var(49):=helper(30000),var(47)
[State 0, VarRangeSet]
type = null
triggerall = roundstate=2
trigger1 = 0
trigger2 = var(57) > 100
trigger2 = var(57):=0||1
trigger3 = var(56) > 100000
trigger3 = var(56):=0||1
trigger4 = var(55) > 100000
trigger4 = var(55):=0||1
trigger5 = var(53) > 100
trigger5 = var(53):=0||1
trigger6 = var(50) > 100
trigger6 = var(50):=0||1
trigger7 = var(49) > 100
trigger7 = var(49):=0||1
trigger8 = fvar(39) > 100
trigger8 = fvar(39):=0||1

[State -1,V57]
type = null
Triggerall = roundstate=2
triggerall = var(57)!=9 && numhelper(30000)
triggerall = helper(30000),var(40)=[1,4]
trigger1 = stateno=340&&moveguarded
trigger1 = var(57):=6
trigger2 = stateno=240&&moveguarded
trigger2 = var(57):=7
trigger3 = stateno=1202&&moveguarded
trigger3 = var(57):=8

[State -1,V57]
Type = null
Triggerall = roundstate=2
Trigger1 = movehit&&p2stateno>=5000&&stateno=[1200,1202]
Trigger1 = var(57):=1||1
Trigger2 = 0
Trigger3 = var(57)=[2,3]
Trigger3 = enemynear(var(53)),movetype!=H||enemynear(var(53)),statetype=L
Trigger3 = var(57):=0||1
Trigger4 = stateno=5120&&time=1
Trigger4 = var(57):=4||1
Trigger5 = var(57)=4&&stateno!=0&&stateno!=5120
Trigger5 = var(57):=0||1
Trigger6 = time=1&&stateno=[150,159]
Trigger6 = var(57):=5||1 ;
Trigger7 = VAR(57)=5&&!(stateno=0||stateno=20||stateno=11||stateno=10||stateno=12||stateno=[120,159])
Trigger7 = var(57):=0||1 ;tyoukesi
Trigger8 = !(var(57)=5||stateno=5120)&&(movetype=H||(stateno=[150,159])||p2stateno=1104)
Trigger8 = var(57):=0||1 ;tyoukesi
Trigger9 = var(57)=7&&stateno=1202&&movecontact
Trigger9 = var(57):=8
Trigger10 = var(57)=8&&stateno=340&&movecontact
Trigger10 = var(57):=6
Trigger11 = var(57)=6&&stateno=240&&movecontact
Trigger11 = var(57):=7
Trigger12 = p2stateno=503&&time=1
Trigger12 = var(57):=10||1
Trigger13 = var(57)=10&&(p2movetype=I||p2stateno=0)
Trigger13 = var(57):=0||1
Trigger14 = p2statetype!=A&&(stateno=440||stateno=1003)&&movehit
Trigger14 = var(57):=12||1
Trigger15 = var(57)=12&&p2movetype!=H
Trigger15 = var(57):=0||1
Trigger14 = p2statetype=A&&stateno!=350&&(stateno!=[1100,1102])&&movehit&&p2stateno>=5000
Trigger14 = var(57):=13||1
Trigger15 = var(57)=13&&p2statetype!=A
Trigger15 = var(57):=0||1


[State -3,V56 ]
Type = varadd
Trigger1 = stateno=[1200,1202]
Trigger1 = movehit&&time=22
var(56) = 1

[State -3,V58 ]
type = null
Trigger1 = roundstate=2
trigger1 = !ishelper&&var(58)<=0
Trigger1 = var(58):=0||1
Trigger2 = roundstate>=3&&!(TeamMode = Single)
Trigger2 = var(58):=0||1

[State -3,V54 ]
type = null
trigger1 = !ishelper&&var(54)<=0
Trigger1 = var(54):=0||1
Trigger2 = roundstate>=3&&!(TeamMode = Single)
Trigger2 = var(54):=0||1

[State -3,V53]
Type = varset
Trigger1 = roundstate=2
Trigger1 = numenemy=1
var(53) = 0
[State -3,V53]
Type = varset
Trigger1 = roundstate=2
Trigger1 = numenemy=2
var(53) = ifelse(EnemyNear(0),alive,0,1)


[State -1,]
Type = assertspecial
Trigger1 = var(59)>0
flag = nowalk

[State -2]
type = DisplayToClipboard
trigger1 = 0;numhelper(30000)
text = "V52=%d,V41=%d,HV50=%d,floV56=%d,V56/100=%d"
params = var(52),var(41),helper(30000),var(50),floor(var(56)/100),var(56)%100
ignorehitpause = 1

[State -2]
type = AppendToClipboard
trigger1 = 0;numhelper(30000)
text = " tosinn=%d,HV45=%d,HFV49=%d,V54=%d"
params = (helper(30000),var(45)+var(52)),helper(30000),var(45),helper(30000),var(49),var(54)
ignorehitpause = 1

[State -2]
type = AppendToClipboard
trigger1 = 0;numhelper(30000)
text = "\nX=%d,Y=%d, front=%d,XX=%d,back=%d";P2BodyDist X <
params = floor(P2BodyDist X),floor(frontedgebodydist),ceil(pos Y),floor(abs(screenpos X-enemynear(var(53)),screenpos X)),ceil(enemynear(var(53)),BackEdgeBodyDist)
ignorehitpause = 1

[State -1,FV38]
Type = VarSet
Trigger1 = 0
fvar(38)= 2

[State -1, AI]
type = VarSet
triggerall = !var(59)&&alive&&roundstate=2
trigger1 = Command = "AI0"||Command = "AI1"||Command = "AI2"||Command = "AI3"||Command = "AI4"||Command = "AI5"
trigger2 = Command = "AI6"||Command = "AI7"||Command = "AI8"||Command = "AI9"||Command = "AI10"||Command = "AI11"
trigger3 = Command = "AI12"||Command = "AI13"||Command = "AI14"||Command = "AI15"||Command = "AI16"||Command = "AI17"
trigger4 = Command = "AI18"||Command = "AI19"||Command = "AI20"||Command = "AI21"||Command = "AI22"||Command = "AI23"
trigger5 = Command = "AI24"||Command = "AI25"||Command = "AI26"||Command = "AI27"||Command = "AI28"||Command = "AI29"
trigger6 = Command = "AI30"||Command = "AI31"||Command = "AI32"||Command = "AI33"||Command = "AI34"||Command = "AI35"
trigger7 = Command = "AI36"||Command = "AI37"||Command = "AI38"||Command = "AI39"||Command = "AI40"||Command = "AI41"
trigger8 = Command = "AI42"||Command = "AI43"||Command = "AI44"||Command = "AI45"||Command = "AI46"||Command = "AI47"
trigger9 = Command = "AI48"||Command = "AI49"||Command = "AI50"
trigger10 = numHelper(10000)
trigger10 = Helper(10000),var(59)
trigger11 = var(30)=1
trigger12 = 0 
var(59) = 5

[State -1,V56]
Type = varset
Trigger1 = roundstate=1 && var(56)=0
Trigger2 = roundstate=2
Trigger2 = floor(var(56)/100)<=var(56)%100
Trigger2 = stateno=500||(stateno=[1100,1102])||(var(57)=9&&stateno=240)||(stateno=1000)||stateno=[37,39]
Trigger3 = roundstate=2
Trigger3 = movetype=H||p2movetype!=H

var(56)=100*(2)

[State -1,V55]
Type = varset
Trigger1 = roundstate=1 && var(55)=0
Trigger2 = roundstate=2
Trigger2 = floor(var(55)/100)<=var(55)%100
Trigger2 = stateno=500||(stateno=[1100,1102])||(var(57)=9&&stateno=240)||(stateno=1000)||stateno=[37,39]
Trigger3 = roundstate=2
Trigger3 = movetype=H
var(55)=100*(2)
[State -1,V49 ]
Type = varset
Trigger1 = roundstate=2
var(49)= 0

[State -1,V5]
Type = VarSet
Trigger1 = roundstate=2
var(5)= 1